DELETE FROM `{#}activity_types` WHERE `controller` = 'topic';
INSERT INTO `{#}activity_types` (`is_enabled`, `controller`, `name`, `title`, `description`) VALUES
(1, 'topic', 'new.thread', 'Новая тема на форуме', 'создает тему %s на форуме'),
(1, 'topic', 'add.post', 'Ответ на форуме', 'отвечает в теме %s на форуме');

DELETE FROM `{#}controllers` WHERE `name` = 'topic';
INSERT INTO `{#}controllers` (`title`, `name`, `slug`, `is_enabled`, `options`, `author`, `url`, `version`, `is_backend`, `is_external`, `files`, `addon_id`) VALUES
('Forum Kreator', 'topic', 'topic', 1, '---\nredactor: markitup\ntopic_perpage: 25\ncategory_rss: 1\nthread_url_pattern: ''{id}-{title}''\npost_perpage: 25\nthread_rss: 1\nhash_tag: 1\nhtml_filter: 1\nis_rating: 1\nshow_user_groups:\n  - 3\n  - 4\n  - 5\n  - 6\nmain_title: Форумы\nthread_names: тема|темы|тем\npost_names: >\n  сообщение|сообщения|сообщений\nthreads_list_title: Темы форума\nseo_title: Форумы\nseo_description:\n', 'Kreator', 'http://www.instantcms.su', '2.0.3', 1, NULL, NULL, 273);

DELETE FROM `{#}perms_users` WHERE `subject` = 'topic';

DELETE FROM `{#}perms_rules` WHERE `controller` = 'topic';
INSERT INTO `{#}perms_rules` (`controller`, `name`, `type`, `options`, `show_for_guest_group`) VALUES
('topic', 'thread_flood_time', 'number', NULL, NULL),
('topic', 'post_flood_time', 'number', NULL, NULL),
('topic', 'thread_flood_count', 'number', NULL, NULL),
('topic', 'post_flood_count', 'number', NULL, NULL),
('topic', 'moderator', 'flag', NULL, NULL),
('topic', 'rate', 'flag', NULL, NULL);

DELETE FROM `{#}rss_feeds` WHERE `ctype_name` = 'topic';
INSERT INTO `{#}rss_feeds` (`ctype_name`, `title`, `description`, `image`, `mapping`, `limit`, `is_enabled`, `is_cache`, `cache_interval`, `date_cached`, `template`) VALUES
('topic', 'Форумы', 'RSS лента тем форума', NULL, '---\r\ntitle: title\r\ndescription: content\r\npubDate: date_pub\r\n', 15, 1, NULL, 60, NULL, 'feed');

DELETE FROM `{#}scheduler_tasks` WHERE `controller` = 'topic';
INSERT INTO `{#}scheduler_tasks` (`title`, `controller`, `hook`, `period`, `is_strict_period`, `date_last_run`, `is_active`, `is_new`) VALUES
('Форум Kreator', 'topic', 'job', 5, NULL, NULL, 1, 1);

DROP TABLE IF EXISTS `{#}topic_categories`;
CREATE TABLE IF NOT EXISTS `{#}topic_categories` (
`id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(500) NOT NULL,
  `content` text,
  `slug` varchar(100) NOT NULL,
  `icon` text,
  `parent_id` int(10) unsigned NOT NULL DEFAULT '0',
  `threads` tinyint(1) unsigned DEFAULT NULL,
  `last_message` int(10) unsigned DEFAULT NULL,
  `topic_counter` int(10) unsigned DEFAULT '0',
  `post_counter` int(10) unsigned DEFAULT '0',
  `ordering` int(11) unsigned DEFAULT '0',
  `groups_add_thread` text,
  `groups_add_post` text,
  `groups_view` text,
  `rank_view` text,
  `medal_view` text,
  `rank_add_thread` text,
  `medal_add_thread` text,
  `rank_add_post` text,
  `medal_add_post` text,
  `moderators` text,
  `title_color` varchar(7) DEFAULT NULL,
  `perms` text,
  `html_block_before_posts` text,
  `html_block_after_1_level` text,
  `html_block_after_2_level` text,
  `html_desc` text,
  `seo_title` varchar(300) DEFAULT NULL,
  `seo_description` varchar(1000) DEFAULT NULL,
  `fix_topic_starter` tinyint(1) unsigned DEFAULT NULL,
  `announcement` text,
  `stickers` text,
  PRIMARY KEY (`id`),
  UNIQUE KEY `slug` (`slug`),
  KEY `ordering` (`ordering`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

INSERT INTO `{#}topic_categories` (`title`, `content`, `slug`, `icon`, `parent_id`, `threads`, `last_message`, `topic_counter`, `post_counter`, `ordering`, `groups_add_thread`, `groups_add_post`, `groups_view`, `moderators`, `title_color`, `perms`, `html_block_before_posts`, `html_block_after_1_level`, `html_block_after_2_level`, `seo_title`, `seo_description`, `fix_topic_starter`, `announcement`) VALUES
('Мой форум', NULL, 'main', NULL, 0, NULL, NULL, 0, 0, 0, '---\n- 0\n', '---\n- 0\n', '---\n- 0\n', NULL, NULL, '---\n- 0\n', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
('Первая категория', NULL, 'pervaja-kategorija', NULL, 1, 1, NULL, 0, 0, 0, '---\n- 0\n', '---\n- 0\n', '---\n- 0\n', NULL, NULL, '---\n- 0\n', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
('Вторая категория', NULL, 'vtoraja-kategorija', NULL, 1, 1, NULL, 0, 0, 0, '---\n- 0\n', '---\n- 0\n', '---\n- 0\n', NULL, NULL, '---\n- 0\n', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
('Третья категория', NULL, 'tretja-kategorija', NULL, 1, 1, NULL, 0, 0, 0, '---\n- 0\n', '---\n- 0\n', '---\n- 0\n', NULL, NULL, '---\n- 0\n', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
('Подфорум №1', NULL, 'podforum-1', NULL, 2, 1, NULL, 0, 0, 0, '---\n- 0\n', '---\n- 0\n', '---\n- 0\n', NULL, NULL, '---\n- 0\n', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
('Подфорум №2', NULL, 'podforum-2', NULL, 2, 1, NULL, 0, 0, 0, '---\n- 0\n', '---\n- 0\n', '---\n- 0\n', NULL, NULL, '---\n- 0\n', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
('Подфорум №3', NULL, 'podforum-3', NULL, 2, 1, NULL, 0, 0, 0, '---\n- 0\n', '---\n- 0\n', '---\n- 0\n', NULL, NULL, '---\n- 0\n', NULL, NULL, NULL, NULL, NULL, NULL, NULL),
('Подфорум №4', NULL, 'podforum-4', NULL, 3, 1, NULL, 0, 0, 0, '---\n- 0\n', '---\n- 0\n', '---\n- 0\n', NULL, NULL, '---\n- 0\n', NULL, NULL, NULL, NULL, NULL, NULL, NULL);

DROP TABLE IF EXISTS `{#}topic_medal`;
CREATE TABLE IF NOT EXISTS `{#}topic_medal` (
`id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(100) NOT NULL,
  `icon` text,
  `rating` int(11) unsigned DEFAULT NULL,
  `karma` int(11) unsigned DEFAULT NULL,
  `threads` int(11) unsigned DEFAULT NULL,
  `posts` int(11) unsigned DEFAULT NULL,
  `friends` int(10) unsigned DEFAULT NULL,
  `user_id` varchar(1000) DEFAULT NULL,
  `ordering` int(11) unsigned DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `ordering` (`ordering`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `{#}topic_online`;
CREATE TABLE IF NOT EXISTS `{#}topic_online` (
`id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` int(10) unsigned NOT NULL,
  `category_id` int(10) unsigned NOT NULL,
  `thread_id` int(10) unsigned DEFAULT '0',
  `date_pub` timestamp NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  KEY `category_id` (`category_id`),
  KEY `thread_id` (`thread_id`),
  KEY `date_pub` (`date_pub`),
  UNIQUE KEY `user_id` (`user_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `{#}topic_perms_rules`;
CREATE TABLE IF NOT EXISTS `{#}topic_perms_rules` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `category_id` int(11) unsigned NOT NULL,
  `user_group_id` int(11) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  KEY `category_id` (`category_id`),
  KEY `user_group_id` (`user_group_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

INSERT INTO `{#}topic_perms_rules` (`category_id`, `user_group_id`) VALUES
(1, 0),
(2, 0),
(3, 0),
(4, 0),
(5, 0),
(6, 0),
(7, 0),
(8, 0);

DROP TABLE IF EXISTS `{#}topic_rank`;
CREATE TABLE IF NOT EXISTS `{#}topic_rank` (
`id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(100) NOT NULL,
  `rating` int(11) unsigned DEFAULT NULL,
  `karma` int(11) unsigned DEFAULT NULL,
  `threads` int(11) unsigned DEFAULT NULL,
  `posts` int(11) unsigned DEFAULT NULL,
  `friends` int(10) unsigned DEFAULT NULL,
  `ban` tinyint(1) unsigned DEFAULT NULL,
  `user_id` varchar(1000) DEFAULT NULL,
  `bg_color` varchar(7) DEFAULT NULL,
  `text_color` varchar(7) DEFAULT NULL,
  `ordering` int(11) unsigned DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `ordering` (`ordering`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `{#}topic_threads`;
CREATE TABLE IF NOT EXISTS `{#}topic_threads` (
`id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` int(10) unsigned NOT NULL,
  `thread_id` int(10) unsigned DEFAULT NULL,
  `category_id` int(10) unsigned NOT NULL,
  `slug` varchar(500) DEFAULT NULL,
  `title` varchar(256) DEFAULT NULL,
  `content` text NOT NULL,
  `rating` int(10) unsigned DEFAULT '0',
  `post_counter` int(10) unsigned DEFAULT '0',
  `last_message` int(10) unsigned DEFAULT NULL,
  `date_pub` timestamp NULL DEFAULT CURRENT_TIMESTAMP,
  `date_update` varchar(32) DEFAULT NULL,
  `last_update` varchar(32) DEFAULT NULL,
  `update_counter` int(10) unsigned DEFAULT '0',
  `mod_text` text,
  `fixed_top` tinyint(1) unsigned DEFAULT NULL,
  `is_vip` tinyint(1) unsigned DEFAULT NULL,
  `is_closed` tinyint(1) unsigned DEFAULT NULL,
  `title_color` varchar(7) DEFAULT NULL,
  `hits_count` int(11) unsigned DEFAULT '0',
  `sticker` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `user_id` (`user_id`),
  KEY `thread_id` (`thread_id`),
  KEY `category_id` (`category_id`),
  KEY `slug` (`slug`),
  FULLTEXT KEY (`title`),
  FULLTEXT KEY (`content`),
  KEY `date_pub` (`date_pub`),
  KEY `date_update` (`date_update`),
  KEY `fixed_top` (`fixed_top`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `{#}topic_threads_fields`;
CREATE TABLE IF NOT EXISTS `{#}topic_threads_fields` (
`id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `ctype_id` int(11) unsigned DEFAULT NULL,
  `name` varchar(20) DEFAULT NULL,
  `title` varchar(100) DEFAULT NULL,
  `hint` varchar(200) DEFAULT NULL,
  `ordering` int(11) unsigned DEFAULT NULL,
  `fieldset` varchar(32) DEFAULT NULL,
  `type` varchar(16) DEFAULT NULL,
  `is_in_list` tinyint(1) unsigned DEFAULT NULL,
  `is_in_item` tinyint(1) unsigned DEFAULT NULL,
  `is_in_filter` tinyint(1) unsigned DEFAULT NULL,
  `is_private` tinyint(1) unsigned DEFAULT NULL,
  `is_fixed` tinyint(1) unsigned DEFAULT NULL,
  `is_fixed_type` tinyint(1) unsigned DEFAULT NULL,
  `is_system` tinyint(1) unsigned DEFAULT NULL,
  `is_enabled` tinyint(1) unsigned DEFAULT 1,
  `values` text,
  `options` text,
  `groups_read` text,
  `groups_edit` text,
  `groups_add` text,
  `filter_view` text,
  PRIMARY KEY (`id`),
  KEY `ordering` (`ordering`),
  KEY `is_in_list` (`is_in_list`),
  KEY `is_in_item` (`is_in_item`),
  KEY `is_in_filter` (`is_in_filter`),
  KEY `is_private` (`is_private`),
  KEY `is_fixed` (`is_fixed`),
  KEY `is_system` (`is_system`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `{#}topic_track`;
CREATE TABLE IF NOT EXISTS `{#}topic_track` (
`id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` int(10) unsigned NOT NULL,
  `category_id` int(10) unsigned NOT NULL,
  `thread_id` int(10) unsigned NOT NULL,
  `date_pub` timestamp NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  KEY `user_id` (`user_id`),
  KEY `category_id` (`category_id`),
  KEY `thread_id` (`thread_id`),
  KEY `date_pub` (`date_pub`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

DELETE FROM `{#}users_fields` WHERE `name` = 'fsign';
INSERT INTO `{#}users_fields` (`name`, `title`, `hint`, `ordering`, `fieldset`, `type`, `is_in_list`, `is_in_item`, `is_in_filter`, `is_private`, `is_fixed`, `is_fixed_type`, `is_system`, `values`, `options`, `groups_read`, `groups_edit`, `filter_view`) VALUES
('fsign', 'Подпись в сообщениях форума', NULL, 3, NULL, 'string', NULL, NULL, NULL, NULL, 1, NULL, 1, NULL, '---\nmin_length: 0\nmax_length: 300\nshow_symbol_count: 1\nis_autolink: null\nlabel_in_list: none\nlabel_in_item: left\nis_required: null\nis_digits: null\nis_alphanumeric: null\nis_email: null\nis_unique: null\n', '---\n- 0\n', '---\n- 0\n', '---\n- 0\n');

DELETE FROM `{#}users_tabs` WHERE `controller` = 'topic';
INSERT INTO `{#}users_tabs` (`title`, `controller`, `name`, `is_active`, `ordering`, `groups_view`, `groups_hide`, `show_only_owner`) VALUES
('Форум', 'topic', 'topic_threads', 1, 11, NULL, NULL, NULL);

DELETE FROM `{#}widgets` WHERE `controller` = 'topic';
INSERT INTO `{#}widgets` (`controller`, `name`, `title`, `author`, `url`, `version`, `is_external`, `files`, `addon_id`) VALUES
('topic', 'stat', 'Статистика форумов', 'Kreator', 'http://www.instantcms.su', '2.0.2', NULL, NULL, NULL),
('topic', 'threads', 'Темы', 'Kreator', 'http://www.instantcms.su', '2.0.2', NULL, NULL, NULL),
('topic', 'posts', 'Сообщения', 'Kreator', 'http://www.instantcms.su', '2.0.2', NULL, NULL, NULL),
('topic', 'categories', 'Категории', 'Kreator', 'http://www.instantcms.su', '2.0.2', NULL, NULL, NULL);

DELETE FROM `{#}widgets_pages` WHERE `controller` = 'topic';
INSERT INTO `{#}widgets_pages` (`controller`, `name`, `title_const`, `title_subject`, `title`, `url_mask`, `url_mask_not`, `groups`, `countries`) VALUES
('topic', 'all', 'LANG_TOPIC_ALL_PAGES', NULL, NULL, 'topic*', NULL, '---\nview:\n  - 0\nhide: null\n', '---\nview:\n  - 0\nhide: null\n'),
('topic', 'main', 'LANG_TOPIC_MAIN', NULL, NULL, 'topic', NULL, '---\nview:\n  - 0\nhide: null\n', '---\nview:\n  - 0\nhide: null\n'),
('topic', 'category', 'LANG_TOPIC_CATEGORY', NULL, NULL, 'topic/*', 'topic/*.html', '---\nview:\n  - 0\nhide: null\n', '---\nview:\n  - 0\nhide: null\n'),
('topic', 'thread', 'LANG_TOPIC_THREAD', NULL, NULL, 'topic/*.html', NULL, '---\nview:\n  - 0\nhide: null\n', '---\nview:\n  - 0\nhide: null\n');