<?php

class actionTopicIndex extends cmsAction {

    public function run($category=false){

    	// Это вывод на главной?
		$is_frontpage = $this->request->get('is_frontpage', false);

    	$items = $form = $item = $errors = $page = $perpage = $total = $track_list = false;

    	$user = cmsUser::getInstance();
		
    	$categories = $this->getForumCategoriesList();
        
    	if ($category) {
    		
    		$category = $this->model->getForumCategoryBySlug($category);
    		if (!$category) { cmsCore::error404(); }

    		//Доступ к категории
	    	if (!$user->is_admin && !$user->isInGroups(cmsModel::yamlToArray($category['groups_view']))) {
	    		cmsUser::addSessionMessage(LANG_TOPIC_PRIVATE_PAGE, 'errors');
	    		$this->redirectToAction('');
	    	}

    		$this->model->resetFilters();

    		$page = $this->request->get('page', 1);
			$total = $this->model->getForumThreadsCount($category['id']);
			$perpage = $this->options['topic_perpage'];

			$this->model->limitPage($page, $perpage);

			$ordering = array(
				array('by' => 'fixed_top', 'to' => 'desc'),
				array('by' => 'date_update', 'to' => 'desc'),
			);		
			$this->model->orderByList($ordering);
    		$items = $this->model->getForumThreads($category['id']);

    		if ($user->id && $category['threads']) {

    			$rank_add_thread = $medal_add_thread = true;

    			//Модератор?
    			$is_moderator = $this->isModerator($user->id, $category['moderators']);

    			if ($is_moderator) { $user->is_moderator = true; }
    			else { $user->is_moderator = false; }

    			//Получаем список рангов
		    	$user_ranks = $this->model->resetFilters()->orderBy('ordering')->getAllRanks();
		    	//Получаем список медалей
		    	$user_medals = $this->model->resetFilters()->orderBy('ordering')->getAllMedals();
		    	//Проверяем доступность создания темы по рангу
	    		$rank = $this->showUserRanks($user_ranks, $user);
	    		if (!empty($category['rank_add_thread'])) { $rank_add_thread = $this->rankAllowed($rank, $category['rank_add_thread'], $user); }
	    		//Проверяем доступность создания темы по медалям
	    		$medals = $this->showUserMedals($user_medals, $user);
	    		if (!empty($category['medal_add_thread'])) { $medal_add_thread = $this->medalAllowed($medals, $category['medal_add_thread'], $user); }
    				
    			if ( $user->is_admin || $is_moderator || ( $user->isInGroups(cmsModel::yamlToArray($category['groups_add_thread'])) && $rank_add_thread && $medal_add_thread ) ) {

    				if($flood = $this->checkFlood($user)){
						$category['no_form_reason'] = LANG_TOPIC_MAX_PUBLIC_RULE.' '.html_spellcount($flood['limit'], $this->options['thread_names']).' '.LANG_TOPIC_ZA.' '.html_spellcount($flood['time'], LANG_TOPIC_MINUTE);
    				} else {
    					$form = $this->getForm('message', array('category'=>$category));
    					$form = $this->handlerForm($form, 'thread', array('category'=>$category));
    				}

    			} else {
    				$category['no_form_reason'] = LANG_TOPIC_YOU_DNT_NOT_PUBLIC;
    			}
    				
    		} else {
    				
    			if($category['threads']) {
    				$category['no_form_reason'] = LANG_TOPIC_PLEASE_REGISTER_BEFORE_PUBLIC .'. '.LANG_TOPIC_LOGIN_OR_REGISTER.'.';
    			}
    			
    		}

    			$is_submitted = $this->request->has('submit');
			
				if ($is_submitted && $form){

					$item = $form->parse($this->request, $is_submitted);
				
					$errors = $form->validate($this, $item);

					if (!$errors){

						$item['user_id'] = $user->id;
						$item['category_id'] = $category['id'];
						$item['date_update'] = date('Y-m-d H:i:s');

						$item = cmsEventsManager::hook('topic_thread_before_add', $item);

						$item['id'] = $this->model->addForumThread($item);

						//Обновление кол-ва тем в категории
						$this->model->updateForumTopicCount($category['id']);

						//Генерация slug
						$item['category_slug'] = $category['slug'];
						$item['slug'] = $this->generateThreadSlug($item);

						$this->model->updateForumThread($item['id'], array('slug' => $item['slug']));

						//Обновление последнего сообщения в категории
						$this->model->updateLastMessageInCategory($category['id'], $item['id']);

						//Обновление кол-ва тем пользователя
						$this->model->updateUserThreadCounter($user->id);

						//Лента активности
						cmsCore::getController('activity')->addEntry($this->name, "new.thread", array(
							'subject_title' => $item['title'],
							'subject_url' => href_to_rel('topic', $item['slug'].'.html'),
							'subject_id' => $item['id'],
							'user_id' => $user->id
						));

						//Системные подписки
						cmsQueue::pushOn('subscriptions', array(
				            'controller' => 'subscriptions',
				            'hook'       => 'send_letters',
				            'params'     => array(
				                'topic', 'thread', array($item)
				            )
				        ));

						cmsEventsManager::hook('topic_thread_after_add', $item);
				
						cmsUser::addSessionMessage(LANG_TOPIC_THREAD_INSERT, 'success');

						$this->redirectToAction($item['slug'].'.html');
					
					} else {
					
						cmsUser::addSessionMessage(LANG_FORM_ERRORS, 'error');
					
					}
				
				}

    		define('CURRENT_TOPIC_CATEGORY_ID', $category['id']);
    	
    	} else {

		    // Если это не главная, но данный контент выводится на главной и сейчас
		    // открыта индексная страница контента - редиректим на главную
		    if (!$is_frontpage && $this->cms_config->frontpage == "topic:index") { $this->redirectToHome(); }

    	}

    	if ($user->id) {

    		//Пользователи он-лайн
    		$this->model->updateUserOnline( array( 'user_id' => $user->id, 'category_id' => $category ? $category['id'] : 0 ) );

    		//TrackList
    		$track_list = $this->model->getTrackList($user->id);

    	}

    	$online = $this->model->getTopicUsersOnline( array( 'category_id' => $category ? $category['id'] : false ) );

    	//Блок подписок
    	$filters = !$category ? '' : array('filters'=>array('field'=>'category_id', 'value'=>$category['id']));
    	$toolbar_html = cmsCore::getController('subscriptions')->renderSubscribeButton(array(
            'controller' => 'topic',
            'subject'    => 'thread',
            'params'     => array($filters)
        ));
        if ($toolbar_html) {
            $this->cms_template->addToBlock('before_body', $toolbar_html);
        }

		$this->cms_template->render('index', array(
			'categories' => $categories,
			'category' => $category,
			'items' => $items,
			'form' => $form,
			'item' => $item,
			'errors' => $errors,
			'page' => $page,
			'perpage' => $perpage,
			'total' => $total,
			'online' => $online,
			'track_list' => $track_list,
			'is_frontpage' => $is_frontpage,
			'toolbar_html' => $toolbar_html
		));

    }

}
