<?php

class actionTopicModeration extends cmsAction {

    public function run($id=false){
		
    	$item = $this->model->getForumThreadById($id);
    	if (!$item) { cmsCore::error404(); }

    	$categories = $this->getForumCategoriesList();

    	$category = $this->model->getForumCategoryBySlug($categories[$item['category_id']]['slug']);
    	if (!$category) { cmsCore::error404(); }

    	$user = cmsUser::getInstance();

    	//Начальная категория
    	$tmp_cat = $item['category_id'];

    	//Модератор?
    	$is_moderator = $this->isModerator($user->id, $category['moderators']);

    	if (!$user->is_admin && !$is_moderator) { cmsCore::error404(); }

    	$form = $this->getForm('moderation');
    	
    	//Скрываем часть формы от топика при модерации поста
    	if (!empty($item['thread_id'])) {
    		$form->hideFieldset('mod_set');
    	}

    	$is_submitted = $this->request->has('submit');
			
		if ($is_submitted){

			$item = $form->parse($this->request, $is_submitted);
				
			$errors = $form->validate($this, $item);

			if (!$errors){

				$this->model->updateForumThread($id, $item);

				if ($tmp_cat != $item['category_id']) {
					//Перенос темы в другую категорию
					$this->model->updateAllThreadsCategory($id, $item['category_id']);
					//Обновление последнего сообщения в категории
					$this->model->updateLastMessageInCategory($tmp_cat);
					$this->model->updateLastMessageInCategory($item['category_id']);
					//Обновление кол-ва тем в категории
					$this->model->updateForumTopicCount($tmp_cat);
					$this->model->updateForumTopicCount($item['category_id']);
					//Обновление кол-ва сообщений в категории
					$this->model->updateForumPostCount($tmp_cat);
					$this->model->updateForumPostCount($item['category_id']);
				}

				cmsUser::addSessionMessage(LANG_TOPIC_MODERATION_COMPLETE, 'success');

				$this->redirectToAction('thread', $id);
					
			} else {
					
				cmsUser::addSessionMessage(LANG_FORM_ERRORS, 'error');
					
			}
				
		}

		$this->cms_template->render('moderation', array(
			'form' => $form,
			'item' => $item,
			'errors' => isset($errors) ? $errors : false
		));

    }

}
