<?php

class actionTopicThreadEdit extends cmsAction {

    public function run($id=false){

    	$categories = $this->getForumCategoriesList();
		
    	$item = $this->model->getForumThreadById($id);
    	if (!$item) { cmsCore::error404(); }

    	$category = $this->model->getForumCategoryBySlug($categories[$item['category_id']]['slug']);
    	if (!$category) { cmsCore::error404(); }

    	$user = cmsUser::getInstance();

    	//Модератор?
    	$is_moderator = $this->isModerator($user->id, $category['moderators']);

    	if ($item['user_id'] != $user->id && !$user->is_admin && !$is_moderator) { cmsCore::error404(); }

    	$update_counter = $item['update_counter'];

    	$form = $this->getForm('message', array('category'=>$category));
    	$form = $this->handlerForm($form, empty($item['thread_id']) ? 'thread' : 'post', array('category'=>$category));
    	
    	$is_submitted = $this->request->has('submit');
			
		if ($is_submitted){

			$item = $form->parse($this->request, $is_submitted);
				
			$errors = $form->validate($this, $item);

			if (!$errors){

				$item['last_update'] = date('Y-m-d H:i:s');
				$item['update_counter'] = $update_counter+1;

				$this->model->updateForumThread($id, $item);

				cmsUser::addSessionMessage(LANG_TOPIC_SUCCESS_UPDATED, 'success');

				$this->redirectToAction('thread', $id);
					
			} else {
					
				cmsUser::addSessionMessage(LANG_FORM_ERRORS, 'error');
					
			}
				
		}

		//Пользователи он-лайн
    	$this->model->updateUserOnline( array( 'user_id' => $user->id, 'category_id' => $item['category_id'], 'thread_id' => $item['id'] ) );

		$this->cms_template->render('thread_edit', array(
			'form' => isset($form) ? $form : false,
			'item' => $item,
			'errors' => isset($errors) ? $errors : false
		));

    }

}
