<?php

class actionTopicThreads extends cmsAction {

    public function run(){

    	// Это вывод на главной?
		$is_frontpage = $this->request->get('is_frontpage', false);

		$categories = $this->getForumCategoriesList();

    	$user = cmsUser::getInstance();
		
    	$this->model->filterPermsThread();
		
    	$page = $this->request->get('page', 1);
		$total = $this->model->getAllThreadsCount();
		$perpage = $this->options['topic_perpage'];

		$this->model->limitPage($page, $perpage);
    	$this->model->orderBy('date_update', 'desc');

    	$items = $this->model->getAllThreads();

    	//Пользователи он-лайн
    	$this->model->updateUserOnline( array( 'user_id' => $user->id, 'category_id' => 0 ) );

    	$online = $this->model->getTopicUsersOnline();

    	// Если это не главная, но данный контент выводится на главной и сейчас
		// открыта индексная страница контента - редиректим на главную
		if (!$is_frontpage && $this->cms_config->frontpage == "topic:threads") { $this->redirectToHome(); }

    	$this->cms_template->render('threads', array(
			'items' => $items,
			'page' => $page,
			'perpage' => $perpage,
			'total' => $total,
			'online' => $online,
			'is_frontpage' => $is_frontpage,
			'categories' => $categories
		));

    }

}
