<?php

class formTopicCategory extends cmsForm {

	public $is_tabbed = true;
	
	public function init($id=false){
		
		return array(
		
			array(
				'type' => 'fieldset',
				'title' => LANG_TOPIC_DEFAULT_SETTINGS,
				'childs' => array(

					new fieldList('parent_id', array(
                        'title' => LANG_PARENT_CATEGORY,
                        'default' => $id,
                        'generator' => function($cat){
							
							$items = array();

                            $topic = cmsCore::getController('topic');
							$tree = $topic->getForumCategoriesList();
							
							$items[] = LANG_TOPIC_ROOT_CAT;

                            if ($tree){
								
                                foreach($tree as $item){

                                	if(isset($cat)){
                                		if ($cat['id'] == $item['id']) {
                                			$level = $item['level'];
                                		}
                                		if (isset($level)) {
                                			if ($level <= $item['level']) {
                                				continue;
                                			} else {
                                				unset($level);
                                			}
                                		}
                                	}
									
									$items[$item['id']] = str_repeat('- ', $item['level']).' '.$item['title'];

                                }
								
                            }

                            return $items;

                        }
                    )),
					
					new fieldString('title', array(
                        'title' => LANG_TOPIC_CAT_TITLE,
						'rules' => array(
							array('required')
                        ),
                    )),

                    new fieldText('content', array(
                        'title' => LANG_TOPIC_CAT_DESC
                    )),

                    new fieldString('slug', array(
                        'title' => LANG_TOPIC_CAT_URL,
						'rules' => array(
                            array('unique', 'topic_categories', 'slug')
                        )
                    )),

                    new fieldCheckbox('fix_topic_starter', array(
						'title' => LANG_TOPIC_VIEW_START_TOPIC,
					)),
					
				)
				
			),

			array(
				'type' => 'fieldset',
				'title' => LANG_TOPIC_DESIGN,
				'childs' => array(

					new fieldImage('icon', array(
						'title' => LANG_TOPIC_CAT_ICON,
						'hint' => '32x32px',
						'options' => array(
							'sizes' => array('micro', 'small'),
							'allow_import_link' => true
						)
					)),

					new fieldColor('title_color', array(
						'title' => LANG_TOPIC_EDIT_COLOR_TITLE
					)),
					
				)
				
			),

			array(
				'type' => 'fieldset',
				'title' => LANG_TOPIC_MODERATION,
				'childs' => array(

					new fieldList('moderators', array(
                        'title' => LANG_TOPIC_CAT_MODERATORS,
                        'is_chosen_multiple' => true,
                        'generator' => function(){
                            $lists = cmsCore::getModel('users')->getUsers();
                            $items = array_collection_to_list($lists, 'id', 'nickname');
                            return $items;
                        }
                    )),
					
				)
				
			),

			array(
				'type' => 'fieldset',
				'title' => LANG_TOPIC_STICKERS,
				'childs' => array(

					new fieldText('stickers', array(
						'title' => LANG_TOPIC_STICKERS,
						'hint' => LANG_TOPIC_STICKERS_HINT,
					)),
					
				)
				
			),

			array(
				'type' => 'fieldset',
				'title' => LANG_TOPIC_RULE,
				'childs' => array(

					new fieldCheckbox('threads', array(
                        'title' => LANG_TOPIC_OPEN_FOR_THREAD,
                        'default' => true
                    )),

                    new fieldListGroups('perms', array(
		                'title'       => LANG_TOPIC_CAT_PERMS,
		                'show_all'    => true,
		                'show_guests' => true,
		                'hint' => LANG_TOPIC_CAT_PERMS_HINT
		            )),

		            new fieldListGroups('groups_view', array(
		                'title'       => LANG_TOPIC_CAT_VIEW,
		                'show_all'    => true,
		                'show_guests' => true,
		                'hint' => LANG_TOPIC_CAT_VIEW_HINT
		            )),

		            new fieldList('rank_view', array(
                        'title' => LANG_TOPIC_RANK_VIEW,
                        'is_multiple' => true,
                        'generator' => function(){
                            $lists = cmsCore::getModel('topic')->orderBy('ordering')->getAllRanks();
                            if (!$lists) { return array(); }
                            $items = array_collection_to_list($lists, 'id', 'title');
                            return $items;
                        }
                    )),

                    new fieldList('medal_view', array(
                        'title' => LANG_TOPIC_MEDAL_VIEW,
                        'is_multiple' => true,
                        'generator' => function(){
                            $lists = cmsCore::getModel('topic')->orderBy('ordering')->getAllMedals();
                            if (!$lists) { return array(); }
                            $items = array_collection_to_list($lists, 'id', 'title');
                            return $items;
                        }
                    )),

                    new fieldListGroups('groups_add_thread', array(
		                'title'       => LANG_TOPIC_THERAD_PUBLIC,
		                'show_all'    => true,
		                'default' => 0
		            )),

		            new fieldList('rank_add_thread', array(
                        'title' => LANG_TOPIC_RANK_ADD_THREAD,
                        'is_multiple' => true,
                        'generator' => function(){
                            $lists = cmsCore::getModel('topic')->orderBy('ordering')->getAllRanks();
                            if (!$lists) { return array(); }
                            $items = array_collection_to_list($lists, 'id', 'title');
                            return $items;
                        }
                    )),

                    new fieldList('medal_add_thread', array(
                        'title' => LANG_TOPIC_MEDAL_ADD_THREAD,
                        'is_multiple' => true,
                        'generator' => function(){
                            $lists = cmsCore::getModel('topic')->orderBy('ordering')->getAllMedals();
                            if (!$lists) { return array(); }
                            $items = array_collection_to_list($lists, 'id', 'title');
                            return $items;
                        }
                    )),

		            new fieldListGroups('groups_add_post', array(
		                'title'       => LANG_TOPIC_MESSAGE_PUBLIC,
		                'show_all'    => true,
		                'default' => 0
		            )),

		            new fieldList('rank_add_post', array(
                        'title' => LANG_TOPIC_RANK_ADD_POST,
                        'is_multiple' => true,
                        'generator' => function(){
                            $lists = cmsCore::getModel('topic')->orderBy('ordering')->getAllRanks();
                            if (!$lists) { return array(); }
                            $items = array_collection_to_list($lists, 'id', 'title');
                            return $items;
                        }
                    )),

                    new fieldList('medal_add_post', array(
                        'title' => LANG_TOPIC_MEDAL_ADD_POST,
                        'is_multiple' => true,
                        'generator' => function(){
                            $lists = cmsCore::getModel('topic')->orderBy('ordering')->getAllMedals();
                            if (!$lists) { return array(); }
                            $items = array_collection_to_list($lists, 'id', 'title');
                            return $items;
                        }
                    )),
					
				)
				
			),

			array(
				'type' => 'fieldset',
				'title' => LANG_TOPIC_SEO,
				'childs' => array(

					new fieldString('seo_title', array(
						'title' => LANG_TOPIC_TITLE_PAGE_CAT
					)),

					new fieldString('seo_description', array(
						'title' => LANG_TOPIC_DESC_PAGE_CAT
					)),
					
				)
				
			),

			array(
				'type' => 'fieldset',
				'title' => LANG_TOPIC_HTML,
				'childs' => array(

					new fieldText('html_desc', array(
						'title' => LANG_TOPIC_HTML_DESC
					)),

					new fieldText('announcement', array(
						'title' => LANG_TOPIC_ANONS_FIELD
					)),

					new fieldText('html_block_before_posts', array(
						'title' => LANG_TOPIC_BLOCK_BEFORE_POSTS
					)),

					new fieldText('html_block_after_1_level', array(
						'title' => LANG_TOPIC_HTML_LEVEL_1
					)),

					new fieldText('html_block_after_2_level', array(
						'title' => LANG_TOPIC_HTML_LEVEL_2
					)),
					
				)
				
			),
			
		);
		
	}
	
}
