<?php

function grid_medal($controller){

    $options = array(
        'is_sortable'   => false,
        'is_filter'     => false,
        'is_pagination' => false,
        'is_draggable'  => true,
        'order_by'      => 'ordering',
        'order_to'      => 'asc',
        'show_id'       => false
    );

    $columns = array(
        'id' => array(
            'title' => LANG_TOPIC_ID,
            'width' => 30
        ),
        'title' => array(
            'title'    => LANG_TOPIC_MEDAL,
        ),
        'icon' => array(
            'title'    => LANG_TOPIC_ICON,
            'handler' => function($field){
            	return html_image($field, 'original');
            }
        ),
        'rating' => array(
            'title'    => LANG_TOPIC_RATING,
        ),
        'karma' => array(
            'title'    => LANG_TOPIC_KARMA,
        ),
        'threads' => array(
            'title'    => LANG_TOPIC_POSTS,
        ),
        'posts' => array(
            'title'    => LANG_TOPIC_MESS,
        ),
        'friends' => array(
            'title'    => LANG_TOPIC_FRIENDS,
        ),
        'user_id' => array(
            'title'    => LANG_TOPIC_USER_ID
        ),
    );

    $actions = array(
    	array(
            'title' => LANG_EDIT,
            'class' => 'edit',
            'href'  => href_to($controller->root_url, 'medal_edit', array('{id}'))
        ),
        array(
            'title'   => LANG_DELETE,
            'class'   => 'delete',
            'href'    => href_to($controller->root_url, 'medal_delete', array('{id}')),
            'confirm' => LANG_TOPIC_DELETE_MEDAL_ASK
        )
    );

    return array(
        'options' => $options,
        'columns' => $columns,
        'actions' => $actions
    );

}
