<?php

function grid_rank($controller){

    $options = array(
        'is_sortable'   => false,
        'is_filter'     => false,
        'is_pagination' => false,
        'is_draggable'  => true,
        'order_by'      => 'ordering',
        'order_to'      => 'asc',
        'show_id'       => false
    );

    $columns = array(
        'id' => array(
            'title' => LANG_TOPIC_ID,
            'width' => 30
        ),
        'title' => array(
            'title'    => LANG_TOPIC_RANK,
        ),
        'rating' => array(
            'title'    => LANG_TOPIC_RATING,
        ),
        'karma' => array(
            'title'    => LANG_TOPIC_KARMA,
        ),
        'threads' => array(
            'title'    => LANG_TOPIC_POSTS,
        ),
        'posts' => array(
            'title'    => LANG_TOPIC_MESS,
        ),
        'friends' => array(
            'title'    => LANG_TOPIC_FRIENDS,
        ),
        'ban' => array(
            'title'    => LANG_TOPIC_BAN,
            'flag' => true,
        ),
        'user_id' => array(
            'title'    => LANG_TOPIC_USER_ID
        ),
        'bg_color' => array(
            'title'    => LANG_TOPIC_BG_COLOR,
            'handler' => function($value){
            	return '<div style="background-color:'.$value.';border:1px solid black;height:18px;"></div>';
            }
        ),
        'text_color' => array(
            'title'    => LANG_TOPIC_FONT_COLOR,
            'handler' => function($value){
            	return '<div style="background-color:'.$value.';border:1px solid black;height:18px;"></div>';
            }
        ),
    );

    $actions = array(
    	array(
            'title' => LANG_EDIT,
            'class' => 'edit',
            'href'  => href_to($controller->root_url, 'rank_edit', array('{id}'))
        ),
        array(
            'title'   => LANG_DELETE,
            'class'   => 'delete',
            'href'    => href_to($controller->root_url, 'rank_delete', array('{id}')),
            'confirm' => LANG_TOPIC_DELETE_RANK_ASK
        )
    );

    return array(
        'options' => $options,
        'columns' => $columns,
        'actions' => $actions
    );

}
