<?php

class formWidgetTopicThreadsOptions extends cmsForm {

    public function init() {

        cmsCore::loadControllerLanguage('topic');
		
		return array(
			
            array(
                'type' => 'fieldset',
                'title' => LANG_OPTIONS,
                'childs' => array(
				
					new fieldList('options:category', array(
                        'title' => LANG_TOPIC_PARENT_CATEGORY,
						'hint' => LANG_TOPIC_PARENT_CATEGORY_HINT,
						'is_chosen_multiple' => true,
                        'generator' => function(){

                            $items = array();

                            $topic = cmsCore::getController('topic');
							$tree = $topic->getForumCategoriesList();
							
							if ($tree){
								
                                foreach($tree as $item){
									
									$items[$item['id']] = str_repeat('- ', $item['level']).' '.$item['title'];

                                }
								
                            }

                            return $items;

                        }
                    )),

                    new fieldNumber('options:limit', array(
                        'title' => LANG_TOPIC_ITEMS_COUNT,
                        'default' => 10
                    )),

                    new fieldList('options:sort_by', array(
                        'title' => LANG_TOPIC_SORT_BY,
                        'items' => array(
                        	'update' => LANG_TOPIC_SORT_BY_UPDATE,
                        	'date' => LANG_TOPIC_SORT_BY_DATE,
                        	'hits_count' => LANG_TOPIC_MOST_VIEWS,
                        	'post_counter' => LANG_TOPIC_MOST_COMMENTS,
                        )
                    )),

                    new fieldList('options:filter', array(
                        'title' => LANG_TOPIC_FILTER,
                        'items' => array(
                        	null => LANG_TOPIC_ALL,
                        	'vip' => LANG_TOPIC_VIPED,
                        	'fixed' => LANG_TOPIC_FIXED,
                        	'closed' => LANG_TOPIC_CLOSED,
                        	'opened' => LANG_TOPIC_OPENED
                        )
                    )),

                )
            ),

        );

    }

}
