<?php

	if ($category){
		if (empty($category['seo_title'])) {
			$title = $category['title'];
		} else {
			$title = $category['seo_title'];
		}
	} else {
		$title = $this->controller->options['seo_title'];
	}

	if (empty($category['seo_description'])) {
		if (isset($category['content'])){
			$description = $category['content'];
		} else {
			if (empty($this->controller->options['seo_description'])) {
				$description = false;
			} else {
				$description = $this->controller->options['seo_description'];
			}
		}
	} else {
		$description = $category['seo_description'];
	}
	
	$this->setPageTitle($title);
	$this->setPageDescription(string_get_meta_description($description));
	$this->setPageKeywords(string_get_meta_keywords($description));

    $this->addBreadcrumb($this->controller->options['main_title'], $this->href_to(''));

    if ($category) {

    	if (isset($categories[$category['id']]['bread_crumb'])) {

    		foreach ($categories[$category['id']]['bread_crumb'] as $key => $value) {
    			
				$this->addBreadcrumb(html_clean($value['title'], 50), $this->href_to($value['slug']));    			

    		}

    	}
    	
    	$this->addBreadcrumb(html_clean($category['title'], 50));

    }

    $this->addControllerCSS('styles', 'topic');
    $this->addCss('templates/default/css/jquery-ui.css');
	$this->addJs('templates/default/js/jquery-ui.js');
	$this->addControllerCSS('font-awesome.min', 'topic');
	$this->addControllerJS('script', 'topic');

    $user = cmsUser::getInstance();

    if ($user->is_admin) {

    	$back = '?back='.$this->href_to($category ? $category['slug'] : '');

    	$this->addToolButton(array(
	        'class' => 'add',
	        'title' => LANG_TOPIC_CREATE_CATEGORY,
	        'href'  => href_to('admin', 'controllers', array('edit', 'topic', 'category_add', $category ? $category['id'].$back : false.$back))
	    ));

	    if ($category) {

			$this->addToolButton(array(
		        'class' => 'edit',
		        'title' => LANG_TOPIC_EDIT_CATEGORY,
		        'href'  => href_to('admin', 'controllers', array('edit', 'topic', 'category_edit', $category['id'].$back))
		    ));

	    }

    }

?>

<?php if(!$is_frontpage) { ?>
<h1>
	<?php echo $category ? $category['title'] : $this->controller->options['main_title']; ?>
	<?php if ($category && !empty($this->controller->options['category_rss']) && $this->controller->isControllerEnabled('rss')) { ?>
		<a class="inline_rss_icon" title="RSS" href="<?php echo href_to('rss', 'feed', 'topic?type=category&id='.$category['id']); ?>"></a>
	<?php } ?>
</h1>
<?php } ?>

<?php if(!$category) { ?>
<div class="content_datasets">
	<ul class="pills-menu">
		<li class="active forums">
			<div><?php echo LANG_TOPIC_ALL_FORUMS; ?></div>
		</li>
		<li class="all">
			<a href="<?php echo $this->href_to('threads'); ?>"><?php echo LANG_TOPIC_ALL_THREADS; ?></a>
		</li>
		<?php if ($user->id) { ?>
		<li class="my">
			<a href="<?php echo href_to('users', $user->id, 'topic_threads'); ?>"><?php echo LANG_TOPIC_MY_THREADS; ?></a>
		</li>
		<?php } ?>
	</ul>
</div>
<?php } ?>

<?php if (!empty($category['content'])) { ?>
	<div class="title_description">
		<?php echo $category['content']; ?>
	</div>
<?php } ?>

<?php if (!empty($category['html_desc'])) { ?>
	<div class="category_html_desc">
		<?php echo $category['html_desc']; ?>
	</div>
<?php } ?>

<?php if ($categories) { ?>

	<?php echo $this->renderChild('categories_list', array('category' => $category, 'categories'=>$categories, 'track_list'=>$track_list)); ?>

	<?php if ($category) { ?>

		<?php echo $this->renderChild('topic_list', array('category' => $category, 'items' => $items, 'page' => $page, 'perpage' => $perpage, 'total' => $total, 'track_list'=>$track_list)); ?>

		
			<?php if ($category && $track_list) { ?>
			<div class="topic_bottom_line">
				<span>
					<a href="<?php echo $this->href_to('set_read', $category['id']); ?>" onclick="return confirm('<?php echo LANG_TOPIC_MARK_ALL_THREAD_ASK; ?>')">
						<i class="fa fa-check-square-o" aria-hidden="true"></i> 
						<?php echo LANG_TOPIC_MARK_ALL_THREAD; ?>
					</a>
				</span>
			</div>
			<?php } ?>

		<?php if($form) { ?>

			<div class="topic_form_btn">
				<?php echo html_button(LANG_TOPIC_NEW_THREAD, 'view_form', 'icms.topic.viewForm()'); ?>
			</div>

			<div class="topic_form">

				<h2><i class="fa fa-commenting-o" aria-hidden="true"></i> <?php echo LANG_TOPIC_NEW_THREAD; ?></h2>

				<?php echo $this->renderChild('form', array('category' => $category, 'form' => $form, 'item' => $item, 'errors' => $errors)); ?>

			</div>

		<?php } else { ?>

			<?php if(isset($category['no_form_reason'])) { ?>

				<p class="is_lock">
					<?php echo $category['no_form_reason']; ?>
				</p>

			<?php } ?>

		<?php } ?>

	<?php } ?>

<?php } else { ?>

	<p><?php echo LANG_TOPIC_NO_CATEGORIES; ?></p>

<?php } ?>

<?php if (!empty($category['moderators'])) { ?>
	<p class="users_online_list">
		<?php echo LANG_TOPIC_MODERATORS; ?>: 
		<?php foreach ($category['moderators'] as $key => $users) { ?>
			<span><a href="<?php echo href_to('users', $users['id']); ?>"><i class="fa fa-male" aria-hidden="true"></i> <?php echo $users['nickname']; ?></a></span>
		<?php } ?>
	</p>
<?php } ?>

<?php if ($online) { ?>
	<p class="users_online_list">
		<?php if ($category) { ?>
			<?php echo LANG_TOPIC_USERS_IN_CAT; ?>: 
		<?php } else { ?>
			<?php echo LANG_TOPIC_USERS_IN_FORUMS; ?>: 
		<?php } ?>
		<?php foreach ($online as $key => $users) { ?>
			<span><a href="<?php echo href_to('users', $users['user_id']); ?>"><i class="fa fa-male" aria-hidden="true"></i> <?php echo $users['user_nickname']; ?></a></span>
		<?php } ?>
	</p>
<?php } ?>

<script>
    $(function() {
        $('.last_message_icon img').tooltip({
            show: { duration: 0 },
            hide: { duration: 0 },
            position: {
                my: "center+5 top+2",
                at: "center bottom"
            }
        });
        <?php if($errors) { ?>
	        icms.topic.viewForm();
	    <?php } ?>
    });
</script>