<?php
	
	$user = cmsUser::getInstance();
	$groups = $this->controller->showUserGroups($item['user_groups']);
	$rank = $this->controller->showUserRanks($user_ranks, $item);
	$medals = $this->controller->showUserMedals($user_medals, $item);

?>

<div class="thread_item" id="thread_<?php echo $item['id']; ?>">

	<div class="topic_head">

		<?php if (isset($this->controller->options['is_rating'])) { ?>
		<div class="rating">
		<?php
			$on = $user->id != $item['user_id'] && $user->id; 
			$rating_controller = cmsCore::getController('rating', new cmsRequest(array(
				'target_controller' => 'topic',
				'target_subject' => 'topic',
			), cmsRequest::CTX_INTERNAL));
			echo $rating_controller->getWidget($item['id'], $item['rating'], $on);
		?>
		</div>
		<?php } ?>

		<?php $item_id = isset($thread) ? $count : $item['id']; ?>

		<a href="<?php echo href_to_abs('topic', 'thread', $item['id']); ?>" title="<?php echo LANG_TOPIC_SHOW_THIS_LINK; ?>" onclick="return icms.topic.showLink(this);">
			#<?php echo $item_id; ?><span class="link_date"> <?php echo LANG_TOPIC_OT; ?> <?php echo html_date($item['date_pub'], true); ?></span>
		</a>

		<div class="links">
			<?php if(!empty($form)) { ?>
				<a href="javascript:" onclick="icms.topic.addQuote(this);" data-mid="<?php echo $item['id']; ?>" data-rel="<?php echo $item['user_nickname']; ?>">
					<i class="fa fa-comment-o" aria-hidden="true"></i>
					<?php echo LANG_TOPIC_REPLY; ?>
				</a>
			<?php } ?>
			<?php if (isset($item['thread_id']) && ($user->id == $item['user_id'] || $user->is_admin || $is_moderator)) { ?>
				<a href="<?php echo $this->href_to('thread_edit', $item['id']); ?>" title="<?php echo LANG_TOPIC_EDIT; ?>">
					<i class="fa fa-pencil-square-o" aria-hidden="true"></i>
				</a>
				<a href="<?php echo $this->href_to('post_delete', $item['id']); ?>" onclick="return confirm('<?php echo LANG_TOPIC_POST_DELETE_CONFIRM; ?>')" title="<?php echo LANG_TOPIC_DELETE; ?>">
					<i class="fa fa-times" aria-hidden="true"></i>
				</a>
			<?php } ?>
			<?php if (isset($item['thread_id']) && ($user->is_admin || $is_moderator)) { ?>
				<a href="<?php echo $this->href_to('moderation', $item['id']); ?>" title="<?php echo LANG_TOPIC_MODERATION; ?>">
					<i class="fa fa-cogs" aria-hidden="true"></i>
				</a>
			<?php } ?>
			<a title="<?php echo LANG_TOPIC_ABUSE_MESS; ?>" href="javascript:" onclick="icms.topic.addReport(this);" data-mid="<?php echo $item['id']; ?>" data-url="<?php echo $this->href_to('send_report'); ?>"><i class="fa fa-bullhorn" aria-hidden="true"></i></a>
		</div>

	</div>

	<div class="left_panel author">
		
		<div class="nickname">
			<?php if (isset($thread) && $item['user_id'] == $thread['user_id']) { ?>
				<?php echo LANG_TOPIC_AUTHOR; ?>: 
			<?php } ?>
			<a href="<?php echo href_to('users', $item['user_id']); ?>">
				
				<i class="fa fa-user-o" aria-hidden="true"></i> 
				<?php echo $item['user_nickname']; ?> 

				<?php if ($user->id && $user->id != $item['user_id']) { ?>
				<a href="<?php echo href_to('messages', 'write', $item['user_id']); ?>" class="messages ajax-modal ttip" title="<?php echo LANG_TOPIC_SEND_PM; ?>">
					<i class="fa fa-envelope-o" aria-hidden="true"></i>
				</a>
				<?php } ?>
			
			</a>
		</div>
		<div class="avatar">
			<div>

				<?php if($rank) { ?>
					<div class="rank" style="background:<?php if (!empty($rank['bg_color'])) { echo $rank['bg_color']; } else { echo 'white'; } ?>;color:<?php if (!empty($rank['text_color'])) { echo $rank['text_color']; } else { echo 'black'; } ?>;"><?php echo $rank['title']; ?></div>
				<?php } ?>
				
				<div class="avatar_image">
					<?php echo html_avatar_image($item['user_avatar'], 'normal', $item['user_nickname']); ?>
				</div>
				
				<?php if($item['is_online']) { ?>
					<div class="online"><?php echo LANG_TOPIC_ONLINE; ?></div>
				<?php } else { ?>
					<div class="offline"><?php echo LANG_TOPIC_EXIST; ?> <?php echo $this->controller->dateOnline($item['user_date_log']); ?></div>
				<?php } ?>

				<?php if($groups) { ?>
					<div class="groups">
					<?php foreach ($groups as $key => $value) { ?>
						<div class="group_<?php echo $value; ?>"><?php if(isset($user_groups[$value])){echo $user_groups[$value]['title'];} ?></div>
					<?php } ?>
					</div>
				<?php } ?>

			</div>
		</div>

		<?php if($medals) { ?>
			<div class="medal_list">
				<?php foreach ($medals as $key => $value) { ?>
					<?php echo html_image($value['icon'], 'original', $value['title']); ?>
				<?php } ?>
			</div>
		<?php } ?>

		<div class="desc">
			<div><?php echo html_spellcount($item['user_topic_thread_counter'], $this->controller->options['thread_names']); ?></div>
			<div><?php echo html_spellcount($item['user_topic_post_counter'], $this->controller->options['post_names']); ?></div>
			<div><?php echo LANG_TOPIC_RATING; ?>: <?php echo $item['user_rating']; ?></div>
			<div><?php echo LANG_TOPIC_KARMA; ?>: <?php echo $item['user_karma']; ?></div>
			<div><?php echo LANG_TOPIC_ON_SITE; ?> <?php echo string_date_age_max($item['user_date_reg']); ?></div>
		</div>
	</div>

	<div class="right_panel">

		<div class="content content_<?php echo $item['id']; ?>">
			<?php echo $item['content']; ?>
		</div>

		<?php if($fields) { ?>
		
		<div class="thread_fields">
			
			<?php foreach($fields as $field){ ?>
				
				<?php if (empty($item[$field['name']])) { continue; } ?>
	            <?php if ($type == 'thread' && !$field['is_in_item']) { continue; } ?>
	            <?php if ($type == 'post' && !$field['is_in_list']) { continue; } ?>
	            <?php if ($field['groups_read'] && !$user->isInGroups($field['groups_read'])) { continue; } ?>

	            <?php
	                if (!isset($field['options']['label_in_item'])) {
	                    $label_pos = 'none';
	                } else {
	                    $label_pos = $field['options']['label_in_item'];
	                }
	            ?>

	            <div class="field ft_<?php echo $field['type']; ?> f_<?php echo $field['name']; ?>">
					<?php if ($label_pos != 'none'){ ?>
	                    <div class="title title_<?php echo $label_pos; ?>"><?php echo $field['title']; ?>: </div>
	                <?php } ?>
					<div class="value">
	                    <?php echo $field['handler']->setItem($item)->parse( $item[$field['name']] ); ?>
	                </div>
				</div>

	        <?php } ?>

		</div>
		
		<?php } ?>
		
		<div class="content_desc">
			<?php if ($item['update_counter']) { ?>
				<div class="updated">
					<?php echo LANG_TOPIC_UPDATED; ?> <?php echo html_spellcount($item['update_counter'], 'раз|раза|раз'); ?>, <?php echo LANG_TOPIC_LAST; ?>: <?php echo html_date($item['last_update'], true); ?>
				</div>
			<?php } ?>
		</div>

		<?php if (!empty($item['user_signature'])) { ?>
		<div class="signature">
			<?php echo $item['user_signature']; ?>
		</div>
		<?php } ?>

		<?php if (!empty($item['mod_text'])) { ?>
		<div class="mod_text">
			<?php echo $item['mod_text']; ?>
		</div>
		<?php } ?>

	</div>

	<div class="clear"></div>
</div>