<?php

	$this->setPageTitle($this->controller->options['threads_list_title']);

    $this->addBreadcrumb($this->controller->options['main_title'], $this->href_to(''));
    $this->addBreadcrumb($this->controller->options['threads_list_title']);

    $this->addControllerCSS('styles', 'topic');
    $this->addCss('templates/default/css/jquery-ui.css');
	$this->addJs('templates/default/js/jquery-ui.js');
	$this->addControllerCSS('font-awesome.min', 'topic');

    $user = cmsUser::getInstance();

?>

<?php if(!$is_frontpage) { ?>
<h1><?php echo $this->controller->options['threads_list_title']; ?></h1>
<?php } ?>

<div class="content_datasets">
	<ul class="pills-menu">
		<li class="forums">
			<a href="<?php echo $this->href_to(''); ?>"><?php echo LANG_TOPIC_ALL_FORUMS; ?></a>
		</li>
		<li class="active all">
			<div><?php echo LANG_TOPIC_ALL_THREADS; ?></div>
		</li>
		<?php if ($user->id) { ?>
		<li class="my">
			<a href="<?php echo href_to('users', $user->id, 'topic_threads'); ?>"><?php echo LANG_TOPIC_MY_THREADS; ?></a>
		</li>
		<?php } ?>
	</ul>
</div>

<?php if ($items) { ?>

	<div class="topic_list">

		<?php foreach ($items as $key => $value) { ?>

			<?php $value['thread_sticker'] = $this->controller->getSticker($categories[$value['category_id']]['stickers'], $value['sticker']); ?>
		
			<?php echo $this->renderChild('topic_list_item', array('item' => $value, 'show_category' => true)); ?>

		<?php } ?>

	</div>

	<?php if($total > $perpage) { ?>
		<?php echo html_pagebar($page, $perpage, $total); ?>	
	<?php } ?>

<?php } else { ?>

	<p><?php echo html_spellcount(0, $this->controller->options['thread_names']); ?></p>

<?php } ?>

<?php if ($online) { ?>
	<p class="users_online_list">
		<?php echo LANG_TOPIC_USERS_IN_FORUMS; ?>: 
		<?php foreach ($online as $key => $users) { ?>
			<span><a href="<?php echo href_to('users', $users['user_id']); ?>"><i class="fa fa-male" aria-hidden="true"></i> <?php echo $users['user_nickname']; ?></a></span>
		<?php } ?>
	</p>
<?php } ?>

<script>
    $(function() {
        $('.last_message_icon img').tooltip({
            show: { duration: 0 },
            hide: { duration: 0 },
            position: {
                my: "center+5 top+2",
                at: "center bottom"
            }
        });
    });
</script>