<?php

	$this->setPageTitle($thread['title']);
	$this->setPageDescription(string_get_meta_description($thread['content']));
	$this->setPageKeywords(string_get_meta_keywords($thread['content']));

	$this->controller->addHead(array('title'=>$thread['title'],'description'=>$thread['content'],'url'=>href_to_abs('topic', $thread['slug'].'.html')));

	$this->addBreadcrumb($this->controller->options['main_title'], $this->href_to(''));

	if (isset($categories[$thread['category_id']]['bread_crumb'])) {

    	foreach ($categories[$thread['category_id']]['bread_crumb'] as $key => $value) {
    			
			$this->addBreadcrumb(html_clean($value['title'], 50), $this->href_to($value['slug']));

    	}

    }

    $this->addBreadcrumb(html_clean($thread['category_title'], 50), $this->href_to($thread['category_slug']));
	$this->addBreadcrumb(html_clean($thread['title'], 50));

	$this->addControllerCSS('styles', 'topic');
	$this->addControllerCSS('font-awesome.min', 'topic');
	$this->addControllerJS('script', 'topic');

	$this->addCss('templates/default/css/jquery-ui.css');
	$this->addJs('templates/default/js/jquery-ui.js');

	$user = cmsUser::getInstance();

	if ($is_moderator || $user->is_admin) {

    	$this->addToolButton(array(
	        'class' => 'edit',
	        'title' => LANG_TOPIC_MODERATION,
	        'href'  => $this->href_to('moderation', $thread['id'])
	    ));

    }

	if ($thread['user_id'] == $user->id || $user->is_admin || $is_moderator) {

    	$this->addToolButton(array(
	        'class' => 'edit',
	        'title' => LANG_TOPIC_THREAD_EDIT,
	        'href'  => $this->href_to('thread_edit', $thread['id'])
	    ));

	    $this->addToolButton(array(
	        'class' => 'delete',
	        'title' => LANG_TOPIC_THREAD_DELETE,
	        'confirm' => LANG_TOPIC_THREAD_DELETE_CONFIRM,
	        'href'  => $this->href_to('thread_delete', $thread['id'])
	    ));

    }

    $thread = cmsEventsManager::hook('thread_before_view', $thread);

?>

<h1>
	<?php echo html($thread['title']); ?>
	<?php if (!empty($thread['thread_sticker'])) { ?>
		<span class="sticker" style="background-color:<?php echo $thread['thread_sticker']['bg_color']; ?>;color:<?php echo isset($thread['thread_sticker']['color']) ? 'black' : 'white'; ?>;"><?php echo $thread['thread_sticker']['title']; ?></span>
	<?php } ?>
	<?php if (!empty($this->controller->options['thread_rss']) && $this->controller->isControllerEnabled('rss')) { ?>
		<a class="inline_rss_icon" title="RSS" href="<?php echo href_to('rss', 'feed', 'topic?type=thread&id='.$thread['id']); ?>"></a>
	<?php } ?>
</h1>

<div class="topic_share">
	<script src="//yastatic.net/es5-shims/0.0.2/es5-shims.min.js"></script>
	<script src="//yastatic.net/share2/share.js"></script>
	<div class="ya-share2" data-services="vkontakte,facebook,odnoklassniki,moimir,gplus" data-counter="" data-title="<?php echo html_clean($thread['title'], 100); ?>" data-url="<?php echo href_to_abs('topic', $thread['slug'].'.html'); ?>" data-description="<?php echo string_get_meta_description($thread['content']); ?>"></div>
</div>

<?php if(!empty($categories[$thread['category_id']]['announcement'])) { ?>
	<div class="thread_announce">
		<?php echo $categories[$thread['category_id']]['announcement']; ?>
	</div>
<?php } ?>

<?php if (!empty($categories[$thread['category_id']]['fix_topic_starter']) || $page==1) { ?>
	<?php echo $this->renderChild('thread_list_item', array('item' => $thread, 'fields' => $fields, 'type' => 'thread', 'form' => $form, 'user_groups' => $user_groups, 'user_ranks' => $user_ranks, 'user_medals' => $user_medals)); ?>
<?php } ?>

<?php if(!empty($categories[$thread['category_id']]['html_block_before_posts'])) { ?>
	<div class="topic_start"><?php echo $categories[$thread['category_id']]['html_block_before_posts']; ?></div>
<?php } ?>

<?php if($posts) { ?>

	<?php if($total > $perpage) { ?>
		<?php echo html_pagebar($page, $perpage, $total); ?>	
	<?php } ?>

	<?php $i=0; ?>

	<?php foreach ($posts as $key => $value) { ?>

		<?php $value = cmsEventsManager::hook('thread_before_view', $value); ?>

		<?php $i++; ?>
		
		<?php echo $this->renderChild('thread_list_item', array('item' => $value, 'thread' => $thread, 'count' => $i+(($page-1)*$this->controller->options['post_perpage']), 'is_moderator' => $is_moderator, 'fields' => $fields, 'type' => 'post', 'form' => $form, 'user_groups' => $user_groups, 'user_ranks' => $user_ranks, 'user_medals' => $user_medals)); ?>

	<?php } ?>

	<?php if($total > $perpage) { ?>
		<?php echo html_pagebar($page, $perpage, $total); ?>	
	<?php } ?>

<?php } else { ?>

	<p><?php echo html_spellcount(0, $this->controller->options['post_names']); ?></p>

<?php } ?>

<div class="topic_bottom_line">
	<?php if ($user->id) { ?>
		<?php if ($thread['user_id'] == $user->id || $user->is_admin || $is_moderator) { ?>
			<span>
				<a href="<?php echo $this->href_to('close', $thread['id']); ?>">
					<i class="fa fa-file-excel-o" aria-hidden="true"></i>
					<?php if(empty($thread['is_closed'])) { ?>
						<?php echo LANG_TOPIC_CLOSED_THREAD; ?>
					<?php } elseif ($thread['is_closed'] == 2) { ?>
						<?php echo LANG_TOPIC_OPENED_THREAD; ?>
					<?php } ?>
				</a>
			</span>
		<?php } ?>
	<?php } ?>
</div>

<?php if($form) { ?>

	<div class="topic_form_btn">
		<?php echo html_button(LANG_TOPIC_NEW_POST, 'view_form', 'icms.topic.viewForm()'); ?>
	</div>

	<div class="topic_form">

		<h2 class="new_message"><i class="fa fa-commenting-o" aria-hidden="true"></i> <?php echo LANG_TOPIC_NEW_POST; ?></h2>

		<?php echo $this->renderChild('form', array('category' => $categories[$thread['category_id']], 'form' => $form, 'item' => $item, 'errors' => $errors)); ?>

	</div>

<?php } else { ?>

	<?php if(isset($thread['no_form_reason'])) { ?>

		<p>
			<?php echo $thread['no_form_reason']; ?>
		</p>

	<?php } ?>

<?php } ?>

<?php if (!empty($category['moderators'])) { ?>
	<p class="users_online_list">
		<?php echo LANG_TOPIC_MODERATORS; ?>: 
		<?php foreach ($category['moderators'] as $key => $users) { ?>
			<span><a href="<?php echo href_to('users', $users['id']); ?>"><i class="fa fa-male" aria-hidden="true"></i> <?php echo $users['nickname']; ?></a></span>
		<?php } ?>
	</p>
<?php } ?>

<?php if ($online) { ?>
	<p class="users_online_list">
		<?php echo LANG_TOPIC_USERS_READ_THREAD; ?>: 
		<?php foreach ($online as $key => $users) { ?>
			<span><a href="<?php echo href_to('users', $users['user_id']); ?>"><i class="fa fa-male" aria-hidden="true"></i> <?php echo $users['user_nickname']; ?></a></span>
		<?php } ?>
	</p>
<?php } ?>

<script>
    $(function() {
        $('.medal_list img, .topic_head .links a, .ttip').tooltip({
            show: { duration: 0 },
            hide: { duration: 0 },
            position: {
                my: "center+5 top+2",
                at: "center bottom"
            }
        });
        <?php if($errors) { ?>
	        icms.topic.viewForm();
	    <?php } ?>
    });
</script>